URL: https://github.com/freeipa/freeipa/pull/1514
Author: rcritten
 Title: #1514: Move Requires: pythonX-sssdconfig into conditional
Action: opened

PR body:
"""
With this change it looks like the client can be installed in python3-only.

https://pagure.io/freeipa/issue/5638
"""

To pull the PR as Git branch:
git remote add ghfreeipa https://github.com/freeipa/freeipa
git fetch ghfreeipa pull/1514/head:pr1514
git checkout pr1514
From a509366716db108e13b35b5603045fbefc2d8048 Mon Sep 17 00:00:00 2001
From: Rob Crittenden <rcrit...@redhat.com>
Date: Wed, 31 Jan 2018 18:28:26 -0500
Subject: [PATCH] Move Requires: pythonX-sssdconfig into conditional

https://pagure.io/freeipa/issue/5638
---
 freeipa.spec.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/freeipa.spec.in b/freeipa.spec.in
index 9f57059460..be2cb869a5 100644
--- a/freeipa.spec.in
+++ b/freeipa.spec.in
@@ -571,10 +571,12 @@ Requires: %{name}-common = %{version}-%{release}
 Requires: python3-gssapi >= 1.2.0-5
 Requires: python3-ipaclient = %{version}-%{release}
 Requires: python3-pyldap >= %{python3_ldap_version}
+Requires: python3-sssdconfig
 %else
 Requires: python2-gssapi >= 1.2.0-5
 Requires: python2-ipaclient = %{version}-%{release}
 Requires: python2-ldap >= %{python2_ldap_version}
+Requires: python2-sssdconfig
 %endif
 Requires: cyrus-sasl-gssapi%{?_isa}
 Requires: ntp
@@ -586,7 +588,6 @@ Requires: initscripts
 Requires: libcurl >= 7.21.7-2
 Requires: xmlrpc-c >= 1.27.4
 Requires: sssd >= 1.14.0
-Requires: python2-sssdconfig
 Requires: certmonger >= 0.79.5-1
 Requires: nss-tools
 Requires: bind-utils
_______________________________________________
FreeIPA-devel mailing list -- freeipa-devel@lists.fedorahosted.org
To unsubscribe send an email to freeipa-devel-le...@lists.fedorahosted.org

Reply via email to